# telegram.ShippingOption

class telegram.ShippingOption(id, title, prices, **_kwargs)

  Bases: `telegram.base.TelegramObject`

  This object represents one shipping option.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `id` is equal.

  Parameters

    - id (`str`) – Shipping option identifier.

    - title (`str`) – Option title.

    - prices (List[`telegram.LabeledPrice`]) – List of price portions.

    - **kwargs (`dict`) – Arbitrary keyword arguments.

  id

    Shipping option identifier.

    Type

      `str`

  title

    Option title.

    Type

      `str`

  prices

    List of price portions.

    Type

      List[`telegram.LabeledPrice`]

  to_dict()

    See `telegram.TelegramObject.to_dict()`.